summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh27
1 files changed, 5 insertions, 22 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh b/tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh
index 9a5755f..84c8d96 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh
@@ -23,36 +23,19 @@ function test_eid_virtualization {
# init to test failed
test_result=1
- if [ "$3" == "wait" ] ; then
- read -p "press any key to continue .." -n1
- fi
+ maybe_pause
ip netns exec vpp1-cus1-ns "${1}" -w 20 -c 1 "${2}"
- rc=$?
- if [ $rc -ne 0 ] ; then
- echo "Error: customer 1 did not receive any response!"
- fi
+ assert_rc_ok $? two_customers_topo_clean "No response!"
- #read -p "press any key to continue .." -n1
+ maybe_pause
ip netns exec vpp1-cus2-ns "${1}" -w 20 -c 1 "${2}"
rc=$?
- if [ $rc -ne 0 ] ; then
- echo "Error: customer 2 did not receive any response!"
- fi
- if [ "$3" == "wait" ] ; then
- read -p "press any key to continue .." -n1
- fi
+ maybe_pause
two_customers_topo_clean
-
- if [ $rc -ne 0 ] ; then
- echo "Test failed!";
- else
- echo "Test passed."
- test_result=0
- fi
-
+ print_status $rc "No ICMP response!"
exit $test_result
}